## gconf-locale

gconf-locale

## Synopsis

                        GConfLocaleCache;
    GConfLocaleCache*   gconf_locale_cache_new              (void);
    void                gconf_locale_cache_free             (GConfLocaleCache *cache);
    void                gconf_locale_cache_expire           (GConfLocaleCache *cache,
                                                             guint max_age_exclusive_in_seconds);
                        GConfLocaleList;
    void                gconf_locale_list_ref               (GConfLocaleList *list);
    void                gconf_locale_list_unref             (GConfLocaleList *list);
    GConfLocaleList*    gconf_locale_cache_get_list         (GConfLocaleCache *cache,
                                                             const gchar *locale);
    gchar**             gconf_split_locale                  (const gchar *locale);

## Description

## Details

### GConfLocaleCache

    typedef struct _GConfLocaleCache GConfLocaleCache;

### gconf_locale_cache_new ()

    GConfLocaleCache*   gconf_locale_cache_new              (void);

Returns : |

### gconf_locale_cache_free ()

    void                gconf_locale_cache_free             (GConfLocaleCache *cache);

`cache` : |

### gconf_locale_cache_expire ()

    void                gconf_locale_cache_expire           (GConfLocaleCache *cache,
                                                             guint max_age_exclusive_in_seconds);

`cache` : |
`max_age_exclusive_in_seconds` : |

### GConfLocaleList

    typedef struct {
      const gchar** list;
    } GConfLocaleList;

### gconf_locale_list_ref ()

    void                gconf_locale_list_ref               (GConfLocaleList *list);

`list` : |

### gconf_locale_list_unref ()

    void                gconf_locale_list_unref             (GConfLocaleList *list);

`list` : |

### gconf_locale_cache_get_list ()

    GConfLocaleList*    gconf_locale_cache_get_list         (GConfLocaleCache *cache,
                                                             const gchar *locale);

`cache` : |
`locale` : |
Returns : |

### gconf_split_locale ()

    gchar**             gconf_split_locale                  (const gchar *locale);

`locale` : |
Returns : |